Package org.eclipse.mat.parser.internal.oql.compiler

## Class Query

- java.lang.Object
- - org.eclipse.mat.parser.internal.oql.compiler.Query

    public class Query
    extends Object

### Nested Class Summary

Nested Classes
`static class` `Query.FromClause`
`static class` `Query.SelectClause`
`static class` `Query.SelectItem`

### Constructor Summary

Constructors
`Query()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addUnionQuery​(Query query)`
`Query.FromClause` `getFromClause()`
`Query.SelectClause` `getSelectClause()`
`List<Query>` `getUnionQueries()`
`Expression` `getWhereClause()`
`void` `setFromClause​(Query.FromClause fromClause)`
`void` `setSelectClause​(Query.SelectClause selectClause)`
`void` `setWhereClause​(Expression whereClause)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Query

    public Query()

### Method Detail

#### getSelectClause

    public Query.SelectClause getSelectClause()

#### setSelectClause

    public void setSelectClause​(Query.SelectClause selectClause)

#### getFromClause

    public Query.FromClause getFromClause()

#### setFromClause

    public void setFromClause​(Query.FromClause fromClause)

#### getWhereClause

    public Expression getWhereClause()

#### setWhereClause

    public void setWhereClause​(Expression whereClause)

#### addUnionQuery

    public void addUnionQuery​(Query query)

#### getUnionQueries

    public List<Query> getUnionQueries()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`